package cn.stylefeng.team.form.modular.manage.service;

import cn.stylefeng.team.form.api.FormItemServiceApi;
import cn.stylefeng.team.form.api.entity.FormItem;
import cn.stylefeng.team.form.api.pojo.FormDesignVo;
import cn.stylefeng.team.form.modular.manage.request.FormConfigRequest;

import java.util.List;

public interface FormItemService extends FormItemServiceApi {

    void saveOrUpdateFormConfig(FormConfigRequest formItemRequest);

    FormDesignVo getFormConfig(FormConfigRequest formItemRequest);

    List<FormItem> getFormFieldList(FormConfigRequest formItemRequest);

}